Error with iOS SDK 1.8

I got multiple warnings when updatet to the new SDK. How can I fix this problem.